
file_id = "IR_SENSOR_ALERT_MAIL";

--[[

IR_SENSOR_ALERT_MAIL スクリプト起動時に渡されるパラメータ
---------------------------------------------------------------------------------
キー値				値		           									値の例
---------------------------------------------------------------------------------
RemoteDeviceName	監視用リモートデバイス名							LivingRoom

SerialNumber		監視用リモートデバイスのシリアル番号				0013A200404AC397

ActivityLevel		赤外センサーで関知した動作レベル(カウンタ値)		120

---------------------------------------------------------------------------------
]]

log_msg("start..",file_id);

-----------------------------------------------------------------------
-- IR_WATCH_START スクリプトをメールコマンドから実行していた場合には、
-- メールの宛先をその時のメールコマンドリプライ先に設定する
-----------------------------------------------------------------------
local stat,mail_addr = get_shared_data("IR_SENSOR_ALERT_MAIL_ADDR")
if not stat then error() end
if mail_addr == "" then
	mail_addr = "センサ警報メール宛先 <your-mail-addr@mail-domain.com>";
end

-----------------------------------------------------------------------
-- 警報メール送信
-----------------------------------------------------------------------
if g_params["RemoteDeviceName"] and g_params["SerialNumber"] and g_params["ActivityLevel"] then
	local body = {};
	table.insert(body,"IRセンサーデバイスのカウンタ値が上限値を超えました");
	table.insert(body,"デバイス名:" .. g_params["RemoteDeviceName"]);
	table.insert(body,"カウンタ値:" .. g_params["ActivityLevel"]);
	stat = mail_send(mail_addr,"","IRセンサー警報",unpack(body));
	if not stat then error() end;
else
	log_msg("パラメータが指定されていません",file_id);
end;

