
file_id = "IR_WATCH_START"

--[[
IR_WATCH_START スクリプト起動時に渡されるパラメータ
---------------------------------------------------------------------------------
キー値				値		           									値の例
---------------------------------------------------------------------------------
CounterReset		値は空文字以外の任意の文字列						"1"
					パラメータ指定時には各センサーのカウンタ監視を有効に
					する前に現在のカウンタ値を 0 にする
					このパラメータを指定すると、定期的に取得するセンサー集計データ
					のカウンタ値もクリアされる。

---------------------------------------------------------------------------------
]]

log_msg("start..",file_id)

----------------------------------------------------------------------
-- メールコマンドでIR_WATCH_STARTが実行された場合は、警報メールの宛先
-- をメールコマンドのリプライアドレスに変更するために、共有データに
-- リプライアドレスを保存しておく
----------------------------------------------------------------------
if g_params["$REPLYTO$"] then
	if not set_shared_data("IR_SENSOR_ALERT_MAIL_ADDR",g_params["$REPLYTO$"]) then error() end
else
	if not set_shared_data("IR_SENSOR_ALERT_MAIL_ADDR","") then error() end
end

----------------------------------------------------------------------
-- 統計用データベースに保管された全てのTDCP デバイスを対象とする
----------------------------------------------------------------------
local stat,strlist = get_permanent_strlist("TDCPDeviceList")
for key_dev,val_dev in ipairs(strlist) do
	device = csv_to_tbl(val_dev)

	-----------------------------------------------
	-- IR センサのカウンタ値を強制的にクリアする
	-----------------------------------------------
	if g_params["CounterReset"] then 
		if not xbee_tdcp_safe_retry(device[2],"change_count_reset") then error() end
	end

	-----------------------------------------------
	-- IR センサカウンタ値チェックを有効にする
	-----------------------------------------------
	if not xbee_tdcp_safe_retry(device[2],"change_count_check,1") then error() end
end


