
file_id = "SENSOR_FORCESAMPLE_MAIL"

--[[

このスクリプトはメールコマンドから実行されることを想定しています。

]]

log_msg("start..",file_id)

local key_dev,val_dev
local device
local t_stat,t_result
local body = {}
local device_info

----------------------------------------------------------------------
-- 統計用データベースに保管された全てのTDCP デバイスを集計対象とする
----------------------------------------------------------------------
local stat,strlist = get_permanent_strlist("TDCPDeviceList")
for key_dev,val_dev in ipairs(strlist) do
	device = csv_to_tbl(val_dev)
	log_msg("SerialNumber=" .. device[1] .. " NodeIdentifier=" .. device[2] ,file_id)

	------------------------------------------------------------
	-- 現在の温度データ,赤外センサカウンタ を取得
	------------------------------------------------------------
	t_stat,t_result = xbee_tdcp_safe_retry(device[2],"force_sample")
	if not t_stat then error() end

	------------------------------------------------------------
	-- ADC Vref 値をデータベースから取得する
	------------------------------------------------------------
	local avref_stat,avref_val = get_permanent_data("AVref_" .. device[2])
	if not avref_stat then error() end
	local adc_vref = tonumber(avref_val);

	------------------------------------------------------------
	-- 温度計算
	------------------------------------------------------------
	local temperature = (100 * adc_vref * tonumber(t_result[9]   )) / 1024;

	------------------------------------------------------------
	-- メッセージ出力
	------------------------------------------------------------
	device_info = string.format("デバイス名 %s  赤外センサカウント %s  温度 %2.3g",device[2],t_result[5],temperature)
	table.insert(body,device_info)
	log_msg(device_info,file_id)
end

----------------------------------------------------------------------
-- サンプリング値をメールで送信する
----------------------------------------------------------------------
if not mail_send(g_params["$REPLYTO$"],"","現在のセンサーデータ",unpack(body)) then error() end

