
file_id = "XBEE_TDCP_MODE8_CONF"

--[[
	
	TDCP デバイス初期設定用スクリプト

	スクリプト中の device = "xxxxx" 部分を 使用するXBee デバイスの
	NodeIndentifier に変更してからスクリプトを実行してください。

	複数の TDCP デバイスを使用する場合には、全ての XBee デバイスの
	NodeIndentifier についてこのスクリプトを修正・実行してください。 

	スクリプトを実行すると、TDCP デバイスに下記の設定が行われた後
	EEPROM に保存された後、デバイスがリセットされます。

]]          

local device = "Device1"

log_msg("start..",file_id)

local svr_addr,key,val,stat,result

stat,svr_addr = xbee_my_serial_number()
if (not stat) or (svr_addr == "") then error() end
log_msg("DeviceServer's XBee address is " .. svr_addr,file_id)

stat,result = xbee_tdcp_command(device,"app_mode,8")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"server_addr," .. svr_addr)
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"pullup,FF")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"change_detect,FF")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"sampling_rate,300")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"change_count_high,10")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"config_save")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"reset",true)
if (not stat) then error() end

